/* 
    Table of content
    1. TEAMMEMBER
    2. POST ITEM
*/

/* 1. TEAMMEMBER */
.teammember-item {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 100%;
    background-size: cover;
    background-position: center;
    border-radius: 1rem;
    overflow: hidden;
    cursor: pointer;
    transition: .3s;
}

.teammember-item:hover {
    transform: scale(1.05);
}

.teammember-item::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: var(--color-darkerblue);
    background: linear-gradient(0deg,rgba(1, 14, 41, .75) 0%, rgba(1, 14, 41, 0) 100%);
}

.teammember-item .content {
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 2.5rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    font-family: 'SF Pro Display';
}

.teammember-item .title {
    font-weight: 700;
    line-height: 1.3;
}

.teammember-item .position {
    margin-top: .3rem;
    font-size: 1.6rem;
}

.teammember-item .contact-wrapper,
.modal-teammember .contact-wrapper {
    justify-self: flex-end;
    align-self: flex-end;
    display: flex;
    gap: 1rem;
}

.teammember-item .contact-wrapper a,
.modal-teammember .contact-wrapper a {
    width: 3.4rem;
    height: 3.4rem;
    border: .1rem solid white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.6rem;
    text-decoration: none;
}

.teammember-item .contact-wrapper a:hover,
.modal-teammember .contact-wrapper a:hover {
    border-color: var(--color-blue);
    background-color: var(--color-blue);
    color: var(--color-darkerblue);
}

/* 2. POST ITEM */
.post-item {
    display: block;
    border-radius: 1rem;
    font-size: 1.6rem;
    text-decoration: none;
    overflow: hidden;
}

.post-item .image-wrapper {
    position: relative;
    aspect-ratio: 16/9;
}

.post-item .image-wrapper img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.post-item .content-wrapper {
    padding: 2.5rem;
}

.post-item .label {
    padding-left: 0;
}

.post-item .label::before {
    display: none;
}

.post-item .text {
    margin-bottom: 2rem;
}

.post-item .btn-wrapper {
    text-align: right;
}

.post-item:hover .btn {
    border-color: var(--color-blue);
    background-color: var(--color-blue);
}

/* RESIZE */
@media (max-width: 1024px) {
    /* 1. TEAMMEMBER */
    .teammember-item .content {
        padding: 2rem;
    }
}

@media (max-width: 499px) {
    /* 1. TEAMMEMBER */
    .teammember-item .content {
        grid-template-columns: 1fr;
        gap: 1rem;
    }

    .teammember-item .contact-wrapper {
        justify-self: flex-start;
    }
}